FROM python:3.11-slim

# Get runtime dependencies
# glx for OpenCV, ghostscript for datasheet PDF rendering, zbar for barcode scanning, git for cloning repos
RUN apt-get update && apt-get install -y libgl1-mesa-glx ghostscript libzbar0 git && apt-get clean && rm -rf /var/lib/apt/lists
COPY *.py *.yml *.sh *.txt *.html static templates ./
#COPY config-server.yml config.yml
RUN pip3 install -r requirements.txt

CMD ["python3", "run.py"]
EXPOSE 5000
EXPOSE 8000
EXPOSE 9000
